curl --request GET \
--url https://api.withorb.com/v1/credit_notes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z",
"credit_note_number": "<string>",
"invoice_id": "<string>",
"memo": "<string>",
"reason": "Duplicate",
"type": "refund",
"subtotal": "<string>",
"total": "<string>",
"customer": {
"id": "<string>",
"external_customer_id": "<string>"
},
"credit_note_pdf": "<string>",
"minimum_amount_refunded": "<string>",
"maximum_amount_adjustment": {
"discount_type": "percentage",
"percentage_discount": 123,
"amount_applied": "<string>",
"reason": "<string>",
"applies_to_prices": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"line_items": [
{
"id": "<string>",
"name": "<string>",
"subtotal": "<string>",
"amount": "<string>",
"quantity": 123,
"tax_amounts": [
{
"tax_rate_description": "<string>",
"tax_rate_percentage": "<string>",
"amount": "<string>"
}
],
"item_id": "<string>",
"discounts": [],
"start_time_inclusive": "2023-11-07T05:31:56Z",
"end_time_exclusive": "2023-11-07T05:31:56Z"
}
],
"discounts": []
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}Get a paginated list of CreditNotes. Users can also filter by
customer_id, subscription_id, or external_customer_id. The credit notes will be returned
in reverse chronological order by creation_time.
curl --request GET \
--url https://api.withorb.com/v1/credit_notes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z",
"credit_note_number": "<string>",
"invoice_id": "<string>",
"memo": "<string>",
"reason": "Duplicate",
"type": "refund",
"subtotal": "<string>",
"total": "<string>",
"customer": {
"id": "<string>",
"external_customer_id": "<string>"
},
"credit_note_pdf": "<string>",
"minimum_amount_refunded": "<string>",
"maximum_amount_adjustment": {
"discount_type": "percentage",
"percentage_discount": 123,
"amount_applied": "<string>",
"reason": "<string>",
"applies_to_prices": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"line_items": [
{
"id": "<string>",
"name": "<string>",
"subtotal": "<string>",
"amount": "<string>",
"quantity": 123,
"tax_amounts": [
{
"tax_rate_description": "<string>",
"tax_rate_percentage": "<string>",
"amount": "<string>"
}
],
"item_id": "<string>",
"discounts": [],
"start_time_inclusive": "2023-11-07T05:31:56Z",
"end_time_exclusive": "2023-11-07T05:31:56Z"
}
],
"discounts": []
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.withorb.com/llms.txt
Use this file to discover all available pages before exploring further.
API Keys can be issued in the Orb's web application.
The number of items to fetch. Defaults to 20.
1 <= x <= 100Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.
Was this page helpful?